Bug 175099 - [PATCH] x11/libfm: update to 1.1.0
Summary: [PATCH] x11/libfm: update to 1.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kris Moore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-07 12:50 UTC by Po-Chien Lin
Modified: 2013-01-08 16:30 UTC (History)
1 user (show)

See Also:


Attachments
libfm-1.1.0.patch (13.46 KB, patch)
2013-01-07 12:50 UTC, Po-Chien Lin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Po-Chien Lin 2013-01-07 12:50:00 UTC
- Update to 1.1.0
- Add LICENSE
- Switch to OptionsNG

Removed file(s):
- files/patch-src_gtk_fm-app-menu-view.c
- files/patch-src_job_fm-file-ops-job.c
Comment 1 Edwin Groothuis freebsd_committer 2013-01-07 12:50:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kmoore

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-01-08 16:23:19 UTC
Author: kmoore
Date: Tue Jan  8 16:22:40 2013
New Revision: 310098
URL: http://svnweb.freebsd.org/changeset/ports/310098

Log:
  Update to 1.1.0
  
  PR: 175099
  Submitted by: Po-Chien Lin <linpc@cs.nctu.edu.tw>

Deleted:
  head/x11/libfm/files/patch-src_gtk_fm-app-menu-view.c
  head/x11/libfm/files/patch-src_job_fm-file-ops-job.c
Modified:
  head/x11/libfm/Makefile
  head/x11/libfm/distinfo
  head/x11/libfm/files/patch-configure
  head/x11/libfm/pkg-plist

Modified: head/x11/libfm/Makefile
==============================================================================
--- head/x11/libfm/Makefile	Tue Jan  8 16:22:39 2013	(r310097)
+++ head/x11/libfm/Makefile	Tue Jan  8 16:22:40 2013	(r310098)
@@ -1,33 +1,36 @@
-# New ports collection makefile for:	x11-fm/libfm
-# Date created:				23 Sept 2010
-# Whom:					Kris Moore <kmoore@freebsd.org>
-#
+# Created by: Kris Moore <kmoore@freebsd.org>
 # $FreeBSD$
-#
 
 PORTNAME=	libfm
-PORTVERSION=	1.0
+PORTVERSION=	1.1.0
 CATEGORIES=	x11
 MASTER_SITES=	SF/pcmanfm/PCManFM%20%2B%20Libfm%20%28tarball%20release%29/libfm%20%28required%20by%20PCManFM%29/
 
 MAINTAINER=	kmoore@FreeBSD.org
 COMMENT=	The libFM backend library to PCManFM
 
+LICENSE=	GPLv2
+
 LIB_DEPENDS=	startup-notification-1:${PORTSDIR}/x11/startup-notification \
 		menu-cache.1:${PORTSDIR}/x11/menu-cache
 
-USE_GNOME=	gnomehack gtk20 pkgconfig
+USE_GNOME=	gnomehack gtk20
 USE_AUTOTOOLS=	libtool
 USE_GMAKE=	yes
 USE_FAM=	yes
 USE_LDCONFIG=	yes
+USE_PKGCONFIG=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
-CONFIGURE_ARGS+=--prefix=${LOCALBASE} --sysconfdir=${LOCALBASE}/etc
+CONFIGURE_ARGS+=--sysconfdir=${LOCALBASE}/etc
 
 MAN1=		libfm-pref-apps.1
 
-.if !defined(WITHOUT_NLS)
+OPTIONS_DEFINE=	NLS
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MNLS}
 USE_GETTEXT=	yes
 PLIST_SUB+=	NLS=""
 .else
@@ -35,8 +38,6 @@ CONFIGURE_ARGS+=--disable-nls
 PLIST_SUB+=	NLS="@comment "
 .endif
 
-.include <bsd.port.pre.mk>
-
 post-patch:
 	@${REINPLACE_CMD} -e 's|-DG_DISABLE_DEPRECATED||g' \
 		${WRKSRC}/src/Makefile.in
@@ -47,4 +48,4 @@ post-patch:
 pre-install:
 	cd ${WRKDIR}/libfm-${PORTVERSION} && ${CHMOD} 755 install-sh
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/x11/libfm/distinfo
==============================================================================
--- head/x11/libfm/distinfo	Tue Jan  8 16:22:39 2013	(r310097)
+++ head/x11/libfm/distinfo	Tue Jan  8 16:22:40 2013	(r310098)
@@ -1,2 +1,2 @@
-SHA256 (libfm-1.0.tar.gz) = 317ea0b92136bf1791d91261125f8e4b461c4c93a468babf7bdb919d62f7e502
-SIZE (libfm-1.0.tar.gz) = 1051268
+SHA256 (libfm-1.1.0.tar.gz) = b9426e588670b53570b808c49abd1d103863614dd3622559b8c3ef1392fe0b3d
+SIZE (libfm-1.1.0.tar.gz) = 1077445

Modified: head/x11/libfm/files/patch-configure
==============================================================================
--- head/x11/libfm/files/patch-configure	Tue Jan  8 16:22:39 2013	(r310097)
+++ head/x11/libfm/files/patch-configure	Tue Jan  8 16:22:40 2013	(r310098)
@@ -1,6 +1,6 @@
---- configure.o	2012-09-06 10:00:49.687508071 -0400
+--- configure.orig	2012-09-06 10:00:49.687508071 -0400
 +++ configure	2012-09-06 10:01:00.168508809 -0400
-@@ -11822,7 +11822,7 @@
+@@ -12491,7 +12491,7 @@
    ;;
  esac
  fi

Modified: head/x11/libfm/pkg-plist
==============================================================================
--- head/x11/libfm/pkg-plist	Tue Jan  8 16:22:39 2013	(r310097)
+++ head/x11/libfm/pkg-plist	Tue Jan  8 16:22:40 2013	(r310098)
@@ -1,146 +1,86 @@
 bin/libfm-pref-apps
 etc/xdg/libfm/libfm.conf
 etc/xdg/libfm/pref-apps.conf
-include/libfm/libfm/fm-actions.h
-include/libfm/libfm/fm-app-chooser-combo-box.h
-include/libfm/libfm/fm-app-chooser-dlg.h
-include/libfm/libfm/fm-app-menu-view.h
-include/libfm/libfm/fm-app-info.h
-include/libfm/libfm/fm-archiver.h
-include/libfm/libfm/fm-bookmarks.h
-include/libfm/libfm/fm-cell-renderer-pixbuf.h
-include/libfm/libfm/fm-cell-renderer-text.h
-include/libfm/libfm/fm-clipboard.h
-include/libfm/libfm/fm-config.h
-include/libfm/libfm/fm-deep-count-job.h
-include/libfm/libfm/fm-dir-list-job.h
-include/libfm/libfm/fm-dir-tree-model.h
-include/libfm/libfm/fm-dir-tree-view.h
-include/libfm/libfm/fm-dnd-auto-scroll.h
-include/libfm/libfm/fm-dnd-dest.h
-include/libfm/libfm/fm-dnd-src.h
-include/libfm/libfm/fm-dummy-monitor.h
-include/libfm/libfm/fm-file-info-job.h
-include/libfm/libfm/fm-file-info.h
-include/libfm/libfm/fm-file-launcher.h
-include/libfm/libfm/fm-file-menu.h
-include/libfm/libfm/fm-file-ops-job-change-attr.h
-include/libfm/libfm/fm-file-ops-job-delete.h
-include/libfm/libfm/fm-file-ops-job-xfer.h
-include/libfm/libfm/fm-file-ops-job.h
-include/libfm/libfm/fm-file-properties.h
-include/libfm/libfm/fm-folder.h
-include/libfm/libfm/fm-folder-model.h
-include/libfm/libfm/fm-folder-view.h
-include/libfm/libfm/fm-gtk-file-launcher.h
-include/libfm/libfm/fm-gtk-marshal.h
-include/libfm/libfm/fm-gtk-utils.h
-include/libfm/libfm/fm-gtk.h
-include/libfm/libfm/fm-icon-pixbuf.h
-include/libfm/libfm/fm-icon.h
-include/libfm/libfm/fm-job.h
-include/libfm/libfm/fm-list.h
-include/libfm/libfm/fm-marshal.h
-include/libfm/libfm/fm-mime-type.h
-include/libfm/libfm/fm-monitor.h
-include/libfm/libfm/fm-nav-history.h
-include/libfm/libfm/fm-path-bar.h
-include/libfm/libfm/fm-path-entry.h
-include/libfm/libfm/fm-path.h
-include/libfm/libfm/fm-places-model.h
-include/libfm/libfm/fm-places-view.h
-include/libfm/libfm/fm-progress-dlg.h
-include/libfm/libfm/fm-side-pane.h
-include/libfm/libfm/fm-simple-job.h
-include/libfm/libfm/fm-tab-label.h
-include/libfm/libfm/fm-thumbnail.h
-include/libfm/libfm/fm-thumbnailer.h
-include/libfm/libfm/fm-utils.h
-include/libfm/libfm/fm.h
+include/libfm
+include/libfm-1.0/fm-actions.h
+include/libfm-1.0/fm-app-chooser-combo-box.h
+include/libfm-1.0/fm-app-chooser-dlg.h
+include/libfm-1.0/fm-app-info.h
+include/libfm-1.0/fm-app-menu-view.h
+include/libfm-1.0/fm-archiver.h
+include/libfm-1.0/fm-bookmarks.h
+include/libfm-1.0/fm-cell-renderer-pixbuf.h
+include/libfm-1.0/fm-cell-renderer-text.h
+include/libfm-1.0/fm-clipboard.h
+include/libfm-1.0/fm-config.h
+include/libfm-1.0/fm-deep-count-job.h
+include/libfm-1.0/fm-dir-list-job.h
+include/libfm-1.0/fm-dir-tree-model.h
+include/libfm-1.0/fm-dir-tree-view.h
+include/libfm-1.0/fm-dnd-auto-scroll.h
+include/libfm-1.0/fm-dnd-dest.h
+include/libfm-1.0/fm-dnd-src.h
+include/libfm-1.0/fm-dummy-monitor.h
+include/libfm-1.0/fm-file-info-job.h
+include/libfm-1.0/fm-file-info.h
+include/libfm-1.0/fm-file-launcher.h
+include/libfm-1.0/fm-file-menu.h
+include/libfm-1.0/fm-file-ops-job-change-attr.h
+include/libfm-1.0/fm-file-ops-job-delete.h
+include/libfm-1.0/fm-file-ops-job-xfer.h
+include/libfm-1.0/fm-file-ops-job.h
+include/libfm-1.0/fm-file-properties.h
+include/libfm-1.0/fm-file.h
+include/libfm-1.0/fm-folder-model.h
+include/libfm-1.0/fm-folder-view.h
+include/libfm-1.0/fm-folder.h
+include/libfm-1.0/fm-gtk-file-launcher.h
+include/libfm-1.0/fm-gtk-marshal.h
+include/libfm-1.0/fm-gtk-utils.h
+include/libfm-1.0/fm-gtk.h
+include/libfm-1.0/fm-icon-pixbuf.h
+include/libfm-1.0/fm-icon.h
+include/libfm-1.0/fm-job.h
+include/libfm-1.0/fm-list.h
+include/libfm-1.0/fm-marshal.h
+include/libfm-1.0/fm-mime-type.h
+include/libfm-1.0/fm-monitor.h
+include/libfm-1.0/fm-nav-history.h
+include/libfm-1.0/fm-path-bar.h
+include/libfm-1.0/fm-path-entry.h
+include/libfm-1.0/fm-path.h
+include/libfm-1.0/fm-places-model.h
+include/libfm-1.0/fm-places-view.h
+include/libfm-1.0/fm-progress-dlg.h
+include/libfm-1.0/fm-side-pane.h
+include/libfm-1.0/fm-simple-job.h
+include/libfm-1.0/fm-sortable.h
+include/libfm-1.0/fm-standard-view.h
+include/libfm-1.0/fm-tab-label.h
+include/libfm-1.0/fm-thumbnail.h
+include/libfm-1.0/fm-thumbnailer.h
+include/libfm-1.0/fm-utils.h
+include/libfm-1.0/fm.h
 lib/libfm-gtk.a
 lib/libfm-gtk.la
 lib/libfm-gtk.so
-lib/libfm-gtk.so.3
+lib/libfm-gtk.so.4
 lib/libfm.a
 lib/libfm.la
 lib/libfm.so
-lib/libfm.so.3
+lib/libfm.so.4
 libdata/pkgconfig/libfm-gtk.pc
+libdata/pkgconfig/libfm-gtk3.pc
 libdata/pkgconfig/libfm.pc
 share/applications/libfm-pref-apps.desktop
-share/gtk-doc/html/libfm/FmBookmarks.html
-share/gtk-doc/html/libfm/FmCellRendererPixbuf.html
-share/gtk-doc/html/libfm/FmCellRendererText.html
-share/gtk-doc/html/libfm/FmConfig.html
-share/gtk-doc/html/libfm/FmDeepCountJob.html
-share/gtk-doc/html/libfm/FmDirListJob.html
-share/gtk-doc/html/libfm/FmDirTreeModel.html
-share/gtk-doc/html/libfm/FmDirTreeView.html
-share/gtk-doc/html/libfm/FmDndDest.html
-share/gtk-doc/html/libfm/FmDndSrc.html
-share/gtk-doc/html/libfm/FmDummyMonitor.html
-share/gtk-doc/html/libfm/FmFileInfoJob.html
-share/gtk-doc/html/libfm/FmFileOpsJob.html
-share/gtk-doc/html/libfm/FmFolder.html
-share/gtk-doc/html/libfm/FmFolderModel.html
-share/gtk-doc/html/libfm/FmFolderView.html
-share/gtk-doc/html/libfm/FmJob.html
-share/gtk-doc/html/libfm/FmNavHistory.html
-share/gtk-doc/html/libfm/FmPathBar.html
-share/gtk-doc/html/libfm/FmPathEntry.html
-share/gtk-doc/html/libfm/FmPlacesModel.html
-share/gtk-doc/html/libfm/FmPlacesView.html
-share/gtk-doc/html/libfm/FmSidePane.html
-share/gtk-doc/html/libfm/FmTabLabel.html
-share/gtk-doc/html/libfm/annotation-glossary.html
-share/gtk-doc/html/libfm/api-index-full.html
-share/gtk-doc/html/libfm/home.png
-share/gtk-doc/html/libfm/index.html
-share/gtk-doc/html/libfm/index.sgml
-share/gtk-doc/html/libfm/left.png
-share/gtk-doc/html/libfm/libfm-fm-app-chooser-combo-box.html
-share/gtk-doc/html/libfm/libfm-fm-app-chooser-dlg.html
-share/gtk-doc/html/libfm/libfm-fm-app-info.html
-share/gtk-doc/html/libfm/libfm-fm-app-menu-view.html
-share/gtk-doc/html/libfm/libfm-fm-archiver.html
-share/gtk-doc/html/libfm/libfm-fm-clipboard.html
-share/gtk-doc/html/libfm/libfm-fm-dnd-auto-scroll.html
-share/gtk-doc/html/libfm/libfm-fm-file-info.html
-share/gtk-doc/html/libfm/libfm-fm-file-launcher.html
-share/gtk-doc/html/libfm/libfm-fm-file-menu.html
-share/gtk-doc/html/libfm/libfm-fm-file-properties.html
-share/gtk-doc/html/libfm/libfm-fm-gtk-file-launcher.html
-share/gtk-doc/html/libfm/libfm-fm-gtk-utils.html
-share/gtk-doc/html/libfm/libfm-fm-gtk.html
-share/gtk-doc/html/libfm/libfm-fm-icon-pixbuf.html
-share/gtk-doc/html/libfm/libfm-fm-icon.html
-share/gtk-doc/html/libfm/libfm-fm-list.html
-share/gtk-doc/html/libfm/libfm-fm-mime-type.html
-share/gtk-doc/html/libfm/libfm-fm-monitor.html
-share/gtk-doc/html/libfm/libfm-fm-path.html
-share/gtk-doc/html/libfm/libfm-fm-progress-dlg.html
-share/gtk-doc/html/libfm/libfm-fm-thumbnail.html
-share/gtk-doc/html/libfm/libfm-fm-thumbnailer.html
-share/gtk-doc/html/libfm/libfm-fm-utils.html
-share/gtk-doc/html/libfm/libfm-fm.html
-share/gtk-doc/html/libfm/libfm.devhelp2
-share/gtk-doc/html/libfm/libfm.html
-share/gtk-doc/html/libfm/libfm-core.html
-share/gtk-doc/html/libfm/libfm-jobs.html
-share/gtk-doc/html/libfm/libfm-FmSimpleJob.html
-share/gtk-doc/html/libfm/libfm-gtk.html
-share/gtk-doc/html/libfm/object-tree.html
-share/gtk-doc/html/libfm/right.png
-share/gtk-doc/html/libfm/style.css
-share/gtk-doc/html/libfm/up.png
-share/libfm/archivers.list
-share/libfm/ui/app-chooser.ui
-share/libfm/ui/ask-rename.ui
-share/libfm/ui/exec-file.ui
-share/libfm/ui/file-prop.ui
-share/libfm/ui/preferred-apps.ui
-share/libfm/ui/progress.ui
-share/mime/packages/libfm.xml
+%%DATADIR%%/archivers.list
+%%DATADIR%%/ui/app-chooser.ui
+%%DATADIR%%/ui/ask-rename.ui
+%%DATADIR%%/ui/exec-file.ui
+%%DATADIR%%/ui/file-prop.ui
+%%DATADIR%%/ui/filesearch.ui
+%%DATADIR%%/ui/preferred-apps.ui
+%%DATADIR%%/ui/progress.ui
 %%NLS%%share/locale/af/LC_MESSAGES/libfm.mo
 %%NLS%%share/locale/ar/LC_MESSAGES/libfm.mo
 %%NLS%%share/locale/be/LC_MESSAGES/libfm.mo
@@ -199,30 +139,20 @@ share/mime/packages/libfm.xml
 %%NLS%%share/locale/vi/LC_MESSAGES/libfm.mo
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/libfm.mo
 %%NLS%%share/locale/zh_TW/LC_MESSAGES/libfm.mo
+share/mime/packages/libfm.xml
 @dirrm etc/xdg/libfm
-@dirrm share/libfm/ui
-@dirrm share/libfm
-@dirrmtry etc/xdg
-@dirrmtry include/libfm/libfm
-@dirrmtry include/libfm
-@dirrmtry lib/gio/modules
-@dirrmtry lib/gio
-@dirrmtry libdata/pkgconfig
-@dirrmtry share/applications
-@dirrmtry share/gtk-doc/html/libfm
-@dirrmtry share/gtk-doc/html
-@dirrmtry share/gtk-doc
-@dirrmtry share/locale/bn/LC_MESSAGES
-@dirrmtry share/locale/bn
+@dirrm etc/xdg
 @dirrmtry share/locale/es_VE/LC_MESSAGES
 @dirrmtry share/locale/es_VE
-@dirrmtry share/locale/fo/LC_MESSAGES
-@dirrmtry share/locale/fo
 @dirrmtry share/locale/lg/LC_MESSAGES
 @dirrmtry share/locale/lg
-@dirrmtry share/locale/sr@latin/LC_MESSAGES
-@dirrmtry share/locale/sr@latin
 @dirrmtry share/locale/tt_RU/LC_MESSAGES
 @dirrmtry share/locale/tt_RU
 @dirrmtry share/locale/ur_PK/LC_MESSAGES
 @dirrmtry share/locale/ur_PK
+@dirrmtry share/applications
+@dirrmtry share/mime/packages
+@dirrmtry share/mime
+@dirrm %%DATADIR%%/ui
+@dirrm %%DATADIR%%
+@dirrm include/libfm-1.0
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Kris Moore freebsd_committer 2013-01-08 16:25:41 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!